Just Published! Threat Report: Exposing Malware in Linux-Based Multi-Cloud Environments | Download Now

Error indicating ASPNET support is not enabled during 7.2.1 installation

Error indicating ASPNET support is not enabled during 7.2.1 installation

Version

All 7.2.1 releases

 

Issue

When running the 7.2.1 server setup to perform a new install or an upgrade, an error pops up indicating that ASPNET support is not enabled in IIS, despite all the required roles being configured in IIS per the Install Guide.

 

Symptoms

The error message text states:

Bit9 Console could not be deployed on IIS.

Please make sure that ASPNET support is enabled on IIS and try again.

Cause

In order to install the Bit9 Server in IIS, ASP.NET 3.5 needs to be installed. This role is not indicated in our install guide.

 

Solution

  1. Navigate to the "Add Roles and Features" screen on the server which will host Bit9
  2. Click through the prompts until you are able to add additional Server Roles
  3. Expand the Web Server (IIS) -> Web Server -> Application Development twisties
  4. Check the box for ASP.NET 3.5
  5. Click through the remaining prompts until the installation is completed
Labels (1)
Was this article helpful? Yes No
No ratings
Article Information
Author:
Creation Date:
‎06-24-2015
Views:
461
Contributors